package net.lecnam.info.ex4;

import java.util.concurrent.BlockingQueue;

public class Client implements Runnable {

	RemoteList<String> l;
	
	Client(BlockingQueue<Answer<String>> in, BlockingQueue<Request<String>> out) {
		this.l = new RemoteList<>(in, out);
	}

	@Override
	public void run() {
		int s = l.size();
		System.out.println("size: " + s);
		for (int i = 0; i < s; i++) {
			String elt = l.get(i);
			System.out.println(elt);
		}
		l.set(4, "b14");
		for (int i = 0; i < s; i++) {
			String elt = l.get(i);
			System.out.println(elt);
		}
		l.add(2, "c89");
		l.remove("a17");
		for (String elt : l) {
			System.out.println(elt);
		}
		l.stop();
	}

}
