package net.lecnam.info;

import java.util.Arrays;
import java.util.LinkedList;
import java.util.List;
import java.util.concurrent.BlockingQueue;
import java.util.logging.Level;
import java.util.logging.Logger;

public class Server implements Runnable {
	
	BlockingQueue<Integer> in;
	BlockingQueue<Integer> out;
	List<Integer> l = Arrays.asList(1, 3, 5, 7, 9, 11, 13, 17);
	
	Server(BlockingQueue<Integer> in, BlockingQueue<Integer> out) {
		this.in = in;
		this.out = out;
	}
	
	@Override
	public void run() {
		try {
			boolean done = false;
			while (!done) {
				int r = in.take();
				switch (r) {
					case -1 -> {
						done = true;
					}
					case -2 -> {
						int s = l.size();
						out.put(s);
					}
					default -> {
						int elt = l.get(r);
						out.put(elt);
					}
				}
			}
		} catch (InterruptedException ex) {
			throw new Error(ex);
		}
	}
	
}
