package net.lecnam.info.ex4;

sealed interface Request<E> {
	record GetSize<E>() implements Request<E> {}
	record GetValue<E>(int index) implements Request<E> {}
	record Set<E>(int index, E element) implements Request<E> {}
	record Add<E>(int index, E element) implements Request<E> {}
	record Remove<E>(int index) implements Request<E> {}
	record Stop<E>() implements Request<E> {}
}